      subroutine p_ts_z0ln(nq,ns,nlink,nmeas,b,a,tsa,zln)
c bernd berg, jul 9 2002.
c potts model, time series partition function fraction at beta0=0.
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      dimension b(0:nlink),a(0:nlink),tsa(nmeas)
c
      do imeas=1,nmeas
        iact=nint(tsa(imeas))
        if(imeas.eq.1) then
          zln=two*(-b(iact)*iact+a(iact))
        else
          zln1=two*(-b(iact)*iact+a(iact))
          zln=addln(zln,zln1)
        end if
      end do
c
      return
      end
